import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-person/disabler/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-person/disabler/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-person/disabler/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-person/disabler/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-person/disabler/submit',
    method: 'post',
    data: row
  })
}

export const detailByParentId = (parentId) => {
  return request({
    url:'/api/cyzh-person/disabler/detailByParentId',
    method: 'get',
    params: {
      parentId
    }
  })
}

export const addDisabler = (list) => {
  return request({
    url: '/api/cyzh-person/disabler/addDisabler',
    method: 'post',
    data: list
  })
}

export const generatedetail = (id) => {
  return request({
    url: '/api/cyzh-person/disabler/generatedetail',
    method: 'get',
    params: {
      id
    }
  })
}
